SD2Vita used to work on 3.68 having trouble on 3.70

Discussion in 'PS Vita - Hacking & Homebrew' started by SeanTy16, May 15, 2019.

  1. SeanTy16
    OP

    SeanTy16 Newbie

    Newcomer
    1
    May 15, 2019
    Philippines
    My Vita was on 3.68 last year and I used sd2vita with it, was working fine until my trouble maker cousin formatted the internal memory of my Vita. So I had to update to 3.70 to access my memory card tried everything including storagemanager and TF card plugin, any fixes?
     
  2. Shadow#1

    Shadow#1 Wii & 3DS Softmod Expert

    Member
    11
    Nov 21, 2005
    United States
    Downgrade to 3.60
     
  3. SeanTy16
    OP

    SeanTy16 Newbie

    Newcomer
    1
    May 15, 2019
    Philippines
    Is there no other way? I think I can just downgrade to 3.68 'cause theFlow said that the trinity hack works in 3.65-3.70 so I'll just do that.

    — Posts automatically merged - Please don't double post! —

    Thanks though.
     
  4. Shadow#1

    Shadow#1 Wii & 3DS Softmod Expert

    Member
    11
    Nov 21, 2005
    United States
    Shit will work and 3.60 is the sweet spot
     
  5. dubsmachine

    dubsmachine Member

    Newcomer
    3
    Aug 4, 2017
    Germany
    Frankfurt, Germany
    Why 3.60 and not 3.65 ?
    I downgraded from 3.68 to 3.65 with Moduru so just wondering.
     
  6. reddragon105

    reddragon105 GBAtemp Regular

    Member
    3
    Aug 10, 2008
    Mainly because installing Henkaku via the browser exploit on 3.60 is much easier than doing it via the h-encore app on 3.65, because that involves a much longer process using QCMA to get the app onto the Vita. Also I believe there's some homebrew that doesn't work on 3.65, although I can't think of an example off the top of my head.
    Personally, I always go for 3.65 because I have a couple of official memory cards with h-encore already on them, so I never have to go through the QCMA process again and it's even simpler to just put one of the cards in and click on the h-encore icon than it is to go via the browser, plus I get a little more native compatibility for games, but I do understand why people go for 3.60.
     
  7. Xuntix

    Xuntix Newbie

    Newcomer
    1
    Jun 10, 2019
    Canada
    Did it work downgrading to 3.60?? Have the same problem with 3.70 using Trinity help pleaseee...
     
  8. RikuNoctis

    RikuNoctis GBAtemp Regular

    Member
    4
    Jul 4, 2018
    Japan
    Millenium Castle Brunestud
    If you updates to 3.70 (for whatever reason), the previous exploits won't work (like H-encore). This should be obvious.
    Trinity is technically only for using Modoru and downgrading to a previous FW where said exploits do work.

    As long as you haven't formatted anything on your SD2Vita and/or Vita memory card, your files are still there. You just need to be able to run the respective plugins/homebrew. Once you downgrade and setup your config.txt everything should pop up again after a refresh.
     
Loading...